[@algorandfoundation/algokit-utils](../README.md) / [types/client-manager](../modules/types_client_manager.md) / AlgoSdkClients

# Interface: AlgoSdkClients

[types/client-manager](../modules/types_client_manager.md).AlgoSdkClients

Clients from algosdk that interact with the official Algorand APIs

## Table of contents

### Properties

- [algod](types_client_manager.AlgoSdkClients.md#algod)
- [indexer](types_client_manager.AlgoSdkClients.md#indexer)
- [kmd](types_client_manager.AlgoSdkClients.md#kmd)

## Properties

### algod

• **algod**: `AlgodClient`

Algod client, see https://developer.algorand.org/docs/rest-apis/algod/

#### Defined in

[src/types/client-manager.ts:16](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/client-manager.ts#L16)

___

### indexer

• `Optional` **indexer**: `IndexerClient`

Optional indexer client, see https://developer.algorand.org/docs/rest-apis/indexer/

#### Defined in

[src/types/client-manager.ts:18](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/client-manager.ts#L18)

___

### kmd

• `Optional` **kmd**: `KmdClient`

Optional KMD client, see https://developer.algorand.org/docs/rest-apis/kmd/

#### Defined in

[src/types/client-manager.ts:20](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/client-manager.ts#L20)
